For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves a list of databases for an account
          • POSTAdd a new database
          • GETRetrieves a paginated list of databases for an account, with optional fuzzy search query
          • GETRetrieves a single database
          • DELDeletes database
          • GETGets a list of extra import fields
          • PUTSubmits a list of extra import fields
          • GETReturns a list of mapped fields in the file map
          • POSTSets a database primary key
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformDatabase

Sets a database primary key

POST
https://meta.feedonomics.com/api.php/dbs/:db_id/primary_key
POST
/api.php/dbs/:db_id/primary_key
$curl -X POST https://meta.feedonomics.com/api.php/dbs/1/primary_key \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "primary_key": "string"
>}'
200Successful
1{
2 "run_import": {
3 "status": "string"
4 }
5}
Was this page helpful?
Previous

Returns a list of mapped fields in the file map

Next

Retrieves a list of database groups for an account

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_idintegerRequired
ID of the database

Headers

x-api-keystringRequired

Request

The database parameters
primary_keystringRequired
The field to set the primary key to

Response

successful operation
run_importobject